Next steps

We hope that you will continue learning with Coventry University by enrolling on this program. Please read the following information carefully regarding the software and hardware requirements that you will need.

In order to complete the labs in the next courses for this module, you will need a PC capable of running the following tools:

We recommend at least a dual core CPU and 4GB of memory. You will also need about 2GB of hard disk space to store the recommended tools and their outcomes.

In order to run the recommended tools, you will need to download and install them from the link provided above. These tools are running on Windows, MacOS and Linux and are free for non-commercial and educational use.

Detailed instructions are provided on the websites of the tools, explaining the installation process for each operating system. Read them carefully and also install the packages required in each case.

To familiarise yourself with the use of these tools, we need you to read the relevant documentation provided in the respective links. Finally, note that to use these modelling and verification tools, no prior programming knowledge is required.

Hint: it is highly-recommended to install the more stable version of the Snoopy and Workcraft tools (ie MacOS or Windows versions).


Share this article:

This article is from the free online course:

Cyber Security in the Software Development Life Cycle

Coventry University